Subject: Re: is there a cygwin maintainer for gnu emacs?
From: "emacs user" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 18 Aug 2005 02:45:21 -0400

some more diagnostics of the GC problem, with the help of some advice from 
eliz.  does this help?

>From: Joe Buehler <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>CC: [email-masked],  [email-masked],  [email-masked]
>Subject: Re: is there a cygwin maintainer for gnu emacs?
>Date: Tue, 09 Aug 2005 14:15:39 -0400
>
>On Tue, 09 Aug 2005 01:08:36 -0400, emacs user <[email-masked]> 
>wrote:
>
> >>
> >> Ehud, thnx for the reply; I didn't do any rebasing (don't know what 
>that
> >> is), and the problem is that emacs crashes about every 5 minutes, 
>mostly in
> >> latex mode when I use the combination of auctex/preview/x-symbol.  very
> >> painful...   I don't have any such difficulties when using precisely 
>the
> >> same combination under linux.
> >>
>
>1. Run emacs under gdb and see if you can get a stack backtrace
>from gdb after emacs dies.  It will depend on how emacs dies
>whether you can do this.
>
>2. Failing that, run strace on emacs and send me the output (say,
>the last couple thousand lines) after it dies.  I may be able to
>deduce something from that.
>--
>Joe Buehler
>

/usr/local/emacs/src $ gdb emacs
GNU gdb 6.3.50_2004-12-28-cvs (cygwin-special)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain 
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x2009a626: file emacs.c, line 461.
Breakpoint 2 at 0x2007d87c: file xterm.c, line 7795.
(gdb) run
Starting program: /usr/local/emacs/src/emacs.exe -geometry 80x40+0+0

---Type <return> to continue, or q <return> to quit---
Breakpoint 1, abort () at emacs.c:461
461	  kill (getpid (), SIGABRT);
(gdb) where
#0  abort () at emacs.c:461
#1  0x200ed1c1 in mark_object (arg=536986871) at alloc.c:5468
#2  0x200edb3f in Fgarbage_collect () at alloc.c:4810
#3  0x20101d3e in Feval (form=578722485) at eval.c:2101
#4  0x201007c8 in internal_condition_case_1 (bfun=0x20101a00 <Feval>,
    arg=578722485, handlers=539863641,
    hfun=0x200a0700 <menu_item_eval_property_1>) at eval.c:1493
#5  0x200a0792 in menu_item_eval_property (sexpr=578722485) at 
keyboard.c:7152
#6  0x200acbbe in get_keyelt (object=540049153, autoload=1) at keymap.c:811
#7  0x200ad213 in access_keymap (map=539822333, idx=539845257, t_ok=2,
    noinherit=0, autoload=1) at keymap.c:643
#8  0x200a141c in tool_bar_items (reuse=578739204, nitems=0x22db18)
    at keyboard.c:7609
#9  0x2001c6df in update_tool_bar (f=0x20cc4600, save_match_data=0)
    at xdisp.c:8863
#10 0x2002a500 in prepare_menu_bars () at xdisp.c:8569
#11 0x2002a916 in redisplay_internal (preserve_echo_area=7) at xdisp.c:10251
#12 0x2002b938 in redisplay_preserve_echo_area (from_where=12) at 
xdisp.c:10862
#13 0x20136f29 in wait_reading_process_output (time_limit=30, microsecs=0,
    read_kbd=-1, do_display=1, wait_for_cell=539791361, wait_proc=0x0,
    just_wait_proc=0) at process.c:4575
#14 0x20009437 in sit_for (sec=30, usec=0, reading=1, display=1,
    initial_display=0) at dispnew.c:6405
#15 0x200a56ce in read_char (commandflag=1, nmaps=6, maps=0x22e920,
---Type <return> to continue, or q <return> to quit---
    prev_event=539791361, used_mouse_menu=0x22e978) at keyboard.c:2769
#16 0x200a7607 in read_key_sequence (keybuf=0x22ead0, bufsize=30,
    prompt=539791361, dont_downcase_last=0, can_return_switch_frame=1,
    fix_current_buffer=1) at keyboard.c:8818
#17 0x200a9111 in command_loop_1 () at keyboard.c:1529
#18 0x20100ac2 in internal_condition_case (bfun=0x200a8f70 <command_loop_1>,
    handlers=539863641, hfun=0x200a2ad0 <cmd_error>) at eval.c:1452
#19 0x2009cc6e in command_loop_2 () at keyboard.c:1319
#20 0x201009cf in internal_catch (tag=539852761,
    func=0x2009cc40 <command_loop_2>, arg=539791361) at eval.c:1211
#21 0x2009ca53 in command_loop () at keyboard.c:1298
#22 0x2009caf4 in recursive_edit_1 () at keyboard.c:991
#23 0x2009cc00 in Frecursive_edit () at keyboard.c:1052
#24 0x2009bf4d in main (argc=3, argv=0x202c25c0) at emacs.c:1782

(gdb) print last_marked_index
$6 = 22
(gdb) print last_marked[22]
$7 = 539791361
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$8 = (struct Lisp_Symbol *) 0x202c9000
"nil"
(gdb)

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today - it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/